package com.fs.survey.service;

import java.util.List;
import com.fs.survey.domain.DrugResearch;

/**
 * 用药调研Service接口
 * 
 * @author fs
 * @date 2026-02-06
 */
public interface IDrugResearchService 
{
    /**
     * 查询用药调研
     * 
     * @param id 用药调研主键
     * @return 用药调研
     */
    public DrugResearch selectDrugResearchById(Long id);

    /**
     * 查询用药调研列表
     * 
     * @param drugResearch 用药调研
     * @return 用药调研集合
     */
    public List<DrugResearch> selectDrugResearchList(DrugResearch drugResearch);

    /**
     * 新增用药调研
     * 
     * @param drugResearch 用药调研
     * @return 结果
     */
    public int insertDrugResearch(DrugResearch drugResearch);
    int companyInsertDrugResearch(DrugResearch drugResearch);

    /**
     * 修改用药调研
     * 
     * @param drugResearch 用药调研
     * @return 结果
     */
    public int updateDrugResearch(DrugResearch drugResearch);

    /**
     * 批量删除用药调研
     * 
     * @param ids 需要删除的用药调研主键集合
     * @return 结果
     */
    public int deleteDrugResearchByIds(Long[] ids);

    /**
     * 删除用药调研信息
     * 
     * @param id 用药调研主键
     * @return 结果
     */
    public int deleteDrugResearchById(Long id);

}
